"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.writeHtml = void 0;
const chalk_1 = __importDefault(require("chalk"));
const fs_1 = require("fs");
const path_1 = __importDefault(require("path"));
const writeHtml = (diagram) => {
    const outputFilePath = path_1.default.resolve(path_1.default.resolve(), '../stats.html');
    (0, fs_1.writeFileSync)(outputFilePath, getHtml(diagram));
    console.log(chalk_1.default.green(`Success. ${outputFilePath}`));
    return;
};
exports.writeHtml = writeHtml;
const getDiagramJson = (diagram) => {
    return `const diagram =${JSON.stringify(diagram)}`;
};
const getHtml = (diagram) => {
    const getScriptPath = () => path_1.default.resolve(__dirname, '../dist/viewer.js');
    return `<!DOCTYPE html>
<html>
  <head>
    <meta charset="UTF-8"/>
    <meta name="viewport" content="width=device-width, initial-scale=1"/>
    <title></title>
    <script>
    ${getDiagramJson(diagram)}
    </script>
    <style>
    body {
      font-family:"ヒラギノ角ゴ Pro W3", "Hiragino Kaku Gothic Pro", "メイリオ", Meiryo, Osaka, "ＭＳ Ｐゴシック", "MS PGothic", sans-serif;
      color: white !important;
      font-size: 11px;
      background: #01060B;
    }
    .bi.bi-diagram {      
      background-color: #01060B !important;
      overflow: scroll !important;
      border: none !important;
      box-shadow: none !important;
    }
    a,
    a:visited {
      color: white !important;
    }
    a:hover {
      opacity: .7;
    }
    </style>
  </head>
  <body>
    <div id="root" />
    <script src="${getScriptPath()}"></script>
  </body>
</html>`;
};
